SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Commerce)  >   Zen Cart Vendors:   Zen Cart Team
Zen Cart Input Validation Hole in 'password_forgotten.php' Lets Remote Users Inject SQL Commands
SecurityTracker Alert ID:  1015306
SecurityTracker URL:  http://securitytracker.com/id/1015306
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Dec 2 2005
Impact:   Disclosure of system information, Disclosure of user information, Modification of system information, User access via network
Exploit Included:  Yes  
Version(s): 1.2.6d and prior versions
Description:   rgod reported a vulnerability in Zen Cart. A remote user can inject SQL commands.

The 'admin/password_forgotten.php' script does not properly validate user-supplied input in the 'admin_email' parameter. A remote user can supply a specially crafted parameter value to execute SQL commands on the underlying database.

This can be exploited to write arbitrary PHP code to a file on the target system. The remote user can later execute the file with the privileges of the target web service.

This can be exploited regardless of the magic_quotes_gpc setting.

The original advisory is available at:

http://rgod.altervista.org/zencart_126d_xpl.html

Impact:   A remote user can execute SQL commands on the underlying database.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.zencart.com/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Zen-Cart <= 1.2.6d blind SQL injection / remote commands execution

http://rgod.altervista.org/zencart_126d_xpl.html

rgod
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC